Bug 92323 - Kernel 2.4.20 crashing Redhat 7.x
Kernel 2.4.20 crashing Redhat 7.x
Status: CLOSED WONTFIX
Product: Red Hat Linux
Classification: Retired
Component: kernel (Show other bugs)
7.3
i686 Linux
medium Severity high
: ---
: ---
Assigned To: Arjan van de Ven
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2003-06-04 19:46 EDT by ru
Modified: 2007-04-18 12:54 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-09-30 11:41:03 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description ru 2003-06-04 19:46:42 EDT
Description of problem:
The new kernel 2.4.20-13.7 and 2.4.20-18.7 both cause Redhat 7.3 and 7.1 systems
to hang.  The sympton appears to be crashing X server.  After that happens, no
remote nor console logins can take place.

Version-Release number of selected component (if applicable):
kernel-smp-2.4.20-13.7.i686 and kernel-smp-2.4.20-18.7.i686

How reproducible:
Just install the kernel.  The system will hang in random.  But killing "gdm"
process will also cause kernel to hang.

One of my colleagues claimed that staying in runlevel 3 will solve the problem.
 But I need to run in runlevel 5.

Steps to Reproduce:
1.First of all, upgrade the kernel to either 2.4.20-13.7 or 2.4.20-18.7
2.Change lilo.conf (or grub.conf) and reboot the system
3.Login remotely as root and kill gdm process.  The system will hang at this
point but still pingable on the network.  Power cycle is needed to bring back
the system.

    
Actual results:


Expected results:


Additional info:
Comment 1 Arjan van de Ven 2003-06-05 02:46:40 EDT
what kind of video hardware do you have?
Is there anything in /var/log/messages about the oops ?
Comment 2 ru 2003-06-24 19:56:20 EDT
There are couple different kinds of video hardware involved, as shown below.

Nvidia GeForce2 MXR and Matrox Graphics G400 AGP.

The systems went down abruptely and left no error messages in /var/log/messages 
file.
Comment 3 Bugzilla owner 2004-09-30 11:41:03 EDT
Thanks for the bug report. However, Red Hat no longer maintains this version of
the product. Please upgrade to the latest version and open a new bug if the problem
persists.

The Fedora Legacy project (http://fedoralegacy.org/) maintains some older releases, 
and if you believe this bug is interesting to them, please report the problem in
the bug tracker at: http://bugzilla.fedora.us/

Note You need to log in before you can comment on or make changes to this bug.